<?php

namespace App\Http\Requests\Email;

use App\Http\Requests\ApiFormRequest;

class EmailExtractorCompareRequest extends ApiFormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'file' => ['nullable', 'file', 'max:5120'],
            'csv_emails' => ['nullable', 'array'],
            'csv_emails.*' => ['email'],
        ];
    }
}
